// Styling for the navbar
#mainNav {
  background-color: #fff;
  .navbar-toggler {
    font-size: 12px;
    right: 0;
    padding: 13px;
    text-transform: uppercase;
    color: white;
    border: 0;
    background-color: $primary;
    @include heading-font;
  }
  .navbar-brand {
    color: $primary;
    &.active,
    &:active,
    &:focus,
    &:hover {
      color: darken($primary, 10%);
    }
    > img.mini {
      width: 40px;
    }
    .logo-text {
      padding-left: 50px;
      p {
        margin-bottom: 0;
        line-height: 0.1;
        margin-top: 10px;
        text-transform: uppercase;
        font-weight: bold;
      }
      small {
        font-size: 0.7rem;
        text-transform: uppercase;
        letter-spacing: 2px;
      }
    }
  }
  .navbar-nav {
    .nav-item {
      .nav-link {
        font-size: 90%;
        font-weight: 700;
        padding: 0.75em 0;
        letter-spacing: 1px;
        color: $gray-900;
        @include heading-font;
        &.active,
        &:hover {
          color: $primary;
        }
      }
    }
  }
}
@media(min-width:992px) {
  #mainNav {
    padding-top: 0px;
    padding-bottom: 0px;
    -webkit-transition: padding-top 0.3s, padding-bottom 0.3s;
    -moz-transition: padding-top 0.3s, padding-bottom 0.3s;
    transition: padding-top 0.3s, padding-bottom 0.3s;
    border: none;
    background-color: transparent;
    &::before {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      bottom: 100%;
      right: 0;
      background-color: #fff;
      z-index: -1;
      -webkit-transition: all 0.3s;
      -moz-transition: all 0.3s;
      transition: all 0.3s;
    }
    .navbar-brand {
      font-size: 1.25em;
      -webkit-transition: all 0.3s;
      -moz-transition: all 0.3s;
      transition: all 0.3s;
      > img.full {
        width: 180px;
        -webkit-transition: all 0.3s;
        -moz-transition: all 0.3s;
        transition: all 0.3s;
      }
    }
    .navbar-nav {
      .nav-item {
        transition: all 0.3s;
        margin: 10px 6px;
        .nav-link {
          padding: 1em 0.8em !important;
          border-bottom: 2px solid transparent;
          &.active {
            border-color: $primary;
          }
        }
      }
    }
    &.navbar-shrink {
      .nav-item {
        margin: 0px 10px;
      }
      &::before {
          bottom: 0;
      }
      padding-top: 5px;
      padding-bottom: 5px;
      // background-color: #fff;
      .navbar-brand {
        font-size: 1.25em;
        padding: 0;
        /* > img.mini {
          width: 40px;
        } */
        > img.full {
          width: 120px;
        }
      }
    }
  }
}
